/* IMAGE */

.l2-textblock-image {
    background-size: cover;
    background-position: center;
}

/* LAYOUT */
.l2-repeater-gap-32 .dce-acf-repeater-grid {
    gap: 32px;
}
.l2-repeater-gap-64 .dce-acf-repeater-grid {
    gap: 64px;
}

@media screen and (max-width:1279px) {
    .l2-repeater-gap-32 .dce-acf-repeater-grid {
        gap: 16px;
    }
    .l2-repeater-gap-64 .dce-acf-repeater-grid {
        gap: 32px;
    }
}

@media screen and (min-width:768px) and (max-width:991px) {
    .dce-acf-repeater-grid {
        flex-direction: row !important;
        gap: 32px;
        flex-wrap: wrap !important;
    
    }
    
    .dce-acf-repeater-grid .dce-acf-repeater-item {
        flex: 1 1 auto !important;
        padding: 0 !important;
    }
    
    .l2-infobox_container {
           min-height: 185px;
     
    }
}


.l2-txt-bg-sec .dce-acf-repeater-grid .dce-acf-repeater-item {
    background: var(--Backgrounds-background-secondary, #EAEBEB);
    padding-bottom: 0 !important;
}
.l2-txt-bg-sec .dce-acf-repeater-grid .dce-acf-repeater-item .l2-textblock-container {
    padding: 0 24px 24px !important;
}
.l2-hover-img-zoom .dce-acf-repeater-item .l2-textblock-image {
    background-size: cover;
}
/* .l2-hover-img-zoom .dce-acf-repeater-item:hover .l2-textblock-image {
    background-size: 120%;
    transition: background-size .5s ease;
} */





.l2-layout-repeater-grid .dce-fix-background-loop {
    width: 100%;
}

.l2-layout-repeater-grid .dce-fix-background-loop > .elementor-widget-container {
    padding: 0 !important;

}

.l2-layout-repeater-textblock .dce-acf-repeater-grid {
    gap: 24px !important;
}

@media screen and (min-width:992px) {
    .l2-layout-repeater-grid .dce-fix-background-loop > .elementor-widget-container  .dce-acf-repeater-item {
        flex: 1;
    }
}

/* @media screen and (max-width:1279px) {
    .l2-layout-repeater-grid .dce-fix-background-loop > .elementor-widget-container  .dce-acf-repeater-item {
        flex: unset !important;
        width: calc(50% - 16px);

    }
} */
@media screen and (max-width:768px) {
    .l2-layout-repeater-grid .dce-fix-background-loop > .elementor-widget-container  .dce-acf-repeater-item {
        flex: unset !important;
        width: 100%;

    }
}
.l2-layout-repeater-grid .dce-acf-repeater-item > .elementor {
    display: flex;
    flex-direction: column;
    gap: 16px;
}


/* IMAGE LOGIC */

.dce-acf-repeater-item > div > .elementor-element:not(.l2-textblock-image-position-back) .l2-gradient-overlay {
    display: none;
}

.dce-acf-repeater-item > div > .elementor-element:not(.l2-textblock-image-position-back) .l2-textblock-container {
    background: none !important;
}

.dce-acf-repeater-item > div > .l2-textblock-image-position-left {
    flex-direction: row;
}

.dce-acf-repeater-item > div > .l2-textblock-image-position-right {
    flex-direction: row-reverse;
}

.dce-acf-repeater-item > div > .l2-textblock-image-position-back .l2-textblock-image {
    display: none;
}

.dce-acf-repeater-item > div > .l2-textblock-image-position-back .l2-textblock-container {
    /* padding: 16px !important; */
    background-size: cover;
    background-position: center;

    /* DARK MODE */

    /* DARK MODE BACKGROUNDS */

    --token-color-background-primary-mode-light: var(--token-color-background-primary-mode-dark);
    --token-color-background-secondary-mode-light: var(--token-color-background-secondary-mode-dark);
    --token-color-background-tertiary-mode-light: var(--token-color-background-tertiary-mode-dark);

    /* DARK MODE BUTTONS */

    --token-color-button-primary-mode-light: var(--token-color-button-primary-mode-dark);
    --token-color-button-primary-hover-mode-light: var(--token-color-button-primary-hover-mode-dark);
    --token-color-button-secondary-mode-light: var(--token-color-button-secondary-mode-dark);
    --token-color-button-secondary-hover-mode-light: var(--token-color-button-secondary-hover-mode-dark);
    --token-color-button-tertiary-mode-light: var(--token-color-button-tertiary-mode-dark);
    --token-color-button-tertiary-hover-mode-light: var(--token-color-button-tertiary-hover-mode-dark);
    --token-color-button-white-mode-light: var(--token-color-button-white-mode-dark);
    --token-color-button-white-hover-mode-light: var(--token-color-button-white-hover-mode-dark);
    --token-color-button-disabled-mode-light: var(--token-color-button-disabled-mode-dark);

    /* DARK MODE TEXT */
    --token-color-text-primary-dark-mode-light: var(--token-color-text-primary-dark-mode-dark);
    --token-color-text-secondary-dark-mode-light: var(--token-color-text-secondary-dark-mode-dark);
    --token-color-text-default-dark-mode-light: var(--token-color-text-default-dark-mode-dark);
    --token-color-text-default-medium-mode-light: var(--token-color-text-default-medium-mode-dark);
    --token-color-text-default-light-mode-light: var(--token-color-text-default-light-mode-dark);
    --token-color-text-default-ultra-light-mode-light: var(--token-color-text-default-ultra-light-mode-dark);

    /* DARK MODE ELEMENTOR TEXT */
    --e-global-color-primary: #fff;
    --e-global-color-text: #fff;
}
